net.corda.core.flows

## Class FlowLogicRef

- net.corda.core.flows.FlowLogicRef

-     public class FlowLogicRef

  A class representing a `class FlowLogic` instance which would be possible to safely pass out of the contract sandbox.

  Only allows a String reference to the FlowLogic class, and only allows restricted argument types as per `class FlowLogicRefFactory`.

  See Also:
    `class FlowLogic`, `class FlowLogicRefFactory`

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `component1()`
    `AppContext` | `component2()`
    `java.util.Map<java.lang.String,java.lang.Object>` | `component3()`
    `FlowLogicRef` | `copy(java.lang.String flowLogicClassName, AppContext appContext, java.util.Map<java.lang.String,? extends java.lang.Object> args)` A class representing a `class FlowLogic` instance which would be possible to safely pass out of the contract sandbox.
    `boolean` | `equals(java.lang.Object p)`
    `AppContext` | `getAppContext()`
    `java.util.Map<java.lang.String,java.lang.Object>` | `getArgs()`
    `java.lang.String` | `getFlowLogicClassName()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Method Detail

    - #### getFlowLogicClassName

          public java.lang.String getFlowLogicClassName()

    - #### getAppContext

          public AppContext getAppContext()

    - #### getArgs

          public java.util.Map<java.lang.String,java.lang.Object> getArgs()

    - #### component1

          public java.lang.String component1()

    - #### component2

          public AppContext component2()

    - #### component3

          public java.util.Map<java.lang.String,java.lang.Object> component3()

    - #### copy

          public FlowLogicRef copy(java.lang.String flowLogicClassName,
                                   AppContext appContext,
                                   java.util.Map<java.lang.String,? extends java.lang.Object> args)

      A class representing a `class FlowLogic` instance which would be possible to safely pass out of the contract sandbox.

      Only allows a String reference to the FlowLogic class, and only allows restricted argument types as per `class FlowLogicRefFactory`.

      See Also:
        `class FlowLogic`, `class FlowLogicRefFactory`

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)